package bankaccounts;

import java.util.ArrayList;


public class BankAccount {

  private int balance = 0;

  private ArrayList<Integer> history = new ArrayList<>();

  public int getBalance() {
     return balance;
  }

  public ArrayList getHistory() {
  return new ArrayList(history);
  }

  public void deposit(int amountOfMoney) {
      balance += amountOfMoney;
      history.add(amountOfMoney);
  }

  public void withdrawal(int amountOfMoney) {
      balance -= amountOfMoney;
      history.add(-amountOfMoney);
  }

}